Type to search.

Get API key information

  • GET /_security/api_key
Auth

Retrieves information for one or more API keys. NOTE: If you have only the manage_own_api_key privilege, this API returns only the API keys that you own. If you have read_security, manage_api_key or greater privileges (including manage_security), this API returns all API keys regardless of ownership.

Required privileges

Cluster privileges manage_own_api_key read_security

Query parameters

id string

An API key id. This parameter cannot be used with any of name, realm_name or username.

name string

An API key name. This parameter cannot be used with any of id, realm_name or username. It supports prefix search with wildcard.

owner boolean · default: false

A boolean flag that can be used to query API keys owned by the currently authenticated user. The realm_name or username parameters cannot be specified when this parameter is set to true as they are assumed to be the currently authenticated ones.

realm_name string

The name of an authentication realm. This parameter cannot be used with either id or name or when owner flag is set to true.

username string

The username of a user. This parameter cannot be used with either id or name or when owner flag is set to true.

with_limited_by boolean · default: false

Return the snapshot of the owner user's role descriptors associated with the API key. An API key's actual permission is the intersection of its assigned role descriptors and the owner user's role descriptors.

active_only boolean · default: false

A boolean flag that can be used to query API keys that are currently active. An API key is considered active if it is neither invalidated, nor expired at query time. You can specify this together with other parameters such as owner or name. If active_only is false, the response will include both active and inactive (expired or invalidated) keys.

with_profile_uid boolean · default: false

Determines whether to also retrieve the profile uid, for the API key owner principal, if it exists.

Response

application/json
api_keys object[] required
id string required

Id for the API key

name string required

Name of the API key.

type enum required

The type of the API key (e.g. rest or cross_cluster).

Values: rest cross_cluster
creation number required

Creation time for the API key in milliseconds.

expiration number

Expiration time for the API key in milliseconds.

invalidated boolean required

Invalidation status for the API key. If the key has been invalidated, it has a value of true. Otherwise, it is false.

invalidation number

If the key has been invalidated, invalidation time in milliseconds.

username string required

Principal for which this API key was created

realm string required

Realm name of the principal for which this API key was created.

realm_type string

Realm type of the principal for which this API key was created

metadata object required

Metadata of the API key

role_descriptors map string to object

The role descriptors assigned to this API key when it was created or last updated. An empty role descriptor means the API key inherits the owner user’s permissions.

limited_by string to object[]

The owner user’s permissions associated with the API key. It is a point-in-time snapshot captured at creation and subsequent updates. An API key’s effective permissions are an intersection of its assigned privileges and the owner user’s permissions.

profile_uid string

The profile uid for the API key owner principal, if requested and if it exists

_sort union[]

Sorting values when using the sort parameter with the security.query_api_keys API.